Subject: Re: linux-next: build failure after merge of the origin tree

From: Michael Ellerman <[email-masked]>
Date: Tue, 14 Sep 2021 22:21:41 +1000

Linus Torvalds <[email-masked]> writes:
> On Mon, Sep 13, 2021 at 7:08 PM Stephen Rothwell <[email-masked]> wrote:
>>
>> That patch works for me - for the ppc64_defconfig build at least.
>
> Yeah, I just tested the allmodconfig case too, although I suspect it's
> essentially the same wrt the boot *.S files, so it probably doesn't
> matter.
>
> I'd like to have Michael or somebody who can actually run some tests
> on the end result ack that patch (or - even better - come up with
> something cleaner) before committing it.
>
> Because yeah, the build failure is annoying and I apologize, but I'd
> rather have the build fail overnight than commit something that builds
> but then is subtle buggy for some reason.
>
> But if I don't get any other comments by the time I'm up again
> tomorrow, I'll just commit it as "fixes the build".

I ended up doing a more minimal version of your change.

I sent it separately, or it's here:

  https://lore.kernel.org/lkml/[email-masked]/

cheers